package gov.va.med.esr.common.model.lookup;

import gov.va.med.fw.model.lookup.AbstractCode;
import gov.va.med.fw.model.lookup.AbstractNamedActiveLookup;


/**
 * 
 * @author DNS   ruizc
 * @version 1.0
 *
 */
public class TerminationReason extends AbstractNamedActiveLookup {

	/**
	 * 
	 */
	private static final long serialVersionUID = -7683517871568514940L;
	
	/**
	 * Dod/DMDC Termination Reason - Complete
	 */
	public static final Code COMPLETE = new Code("C");	

	
	public static class Code extends AbstractCode
	{
		/**
		 * 
		 */
		private static final long serialVersionUID = 1596887028592351359L;

		/**
		 * 
		 */
		private Code(String code)
		{
			super(code);
		}

		public static Code getByCode(String code)
		{
			return (Code)getCode(Code.class, code);
		}
	}


	/**
	 * Default constructor.
	 */
	public TerminationReason() {
		super();
	}

}
